Package org.drinkless.tdlib

# Class TdApi.StorePaymentPurposePremiumGiftCodes

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StorePaymentPurpose
org.drinkless.tdlib.TdApi.StorePaymentPurposePremiumGiftCodes

Enclosing class:
  TdApi

public static class TdApi.StorePaymentPurposePremiumGiftCodes extends TdApi.StorePaymentPurpose
The user creating Telegram Premium gift codes for other users.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StorePaymentPurpose

  `TdApi.StorePaymentPurpose.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `amount`
  Paid amount, in the smallest units of the currency.
  `long`
  `boostedChatId`
  Identifier of the supergroup or channel chat, which will be automatically boosted by the users for duration of the Premium subscription and which is administered by the user; 0 if none.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `currency`
  ISO 4217 currency code of the payment currency.
  `long[]`
  `userIds`
  Identifiers of the users which can activate the gift codes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorePaymentPurposePremiumGiftCodes()`
  The user creating Telegram Premium gift codes for other users.
  `StorePaymentPurposePremiumGiftCodes(long boostedChatId, String currency, long amount, long[] userIds)`
  The user creating Telegram Premium gift codes for other users.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### boostedChatId

    public long boostedChatId
    Identifier of the supergroup or channel chat, which will be automatically boosted by the users for duration of the Premium subscription and which is administered by the user; 0 if none.

  - ### currency

    public String currency
    ISO 4217 currency code of the payment currency.

  - ### amount

    public long amount
    Paid amount, in the smallest units of the currency.

  - ### userIds

    public long[] userIds
    Identifiers of the users which can activate the gift codes.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StorePaymentPurposePremiumGiftCodes

    public StorePaymentPurposePremiumGiftCodes()
    The user creating Telegram Premium gift codes for other users.

  - ### StorePaymentPurposePremiumGiftCodes

    public StorePaymentPurposePremiumGiftCodes(long boostedChatId, String currency, long amount, long[] userIds)
    The user creating Telegram Premium gift codes for other users.
    Parameters:
      `boostedChatId` - Identifier of the supergroup or channel chat, which will be automatically boosted by the users for duration of the Premium subscription and which is administered by the user; 0 if none.
      `currency` - ISO 4217 currency code of the payment currency.
      `amount` - Paid amount, in the smallest units of the currency.
      `userIds` - Identifiers of the users which can activate the gift codes.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StorePaymentPurpose`
    Returns:
      this.CONSTRUCTOR